TYPO3 Core - Bug #84231

Remove usage of extbase from reports module
2018-03-13 09:55 - Georg Ringer

Status: Closed Start date: 2018-03-13
Priority: Should have Due date:

Assignee: Georg Ringer % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 9LTS

TYPO3 Version: 9 Complexity:

PHP Version: Is Regression:

Tags: Sprint Focus:

Description

to improve performance and less dependencies extbase is dropped from the reports module

Related issues:

Related to TYPO3 Core - Bug #84465: "Status report" broken because of invalid...
Related to TYPO3 Core - Task #86184: Protect methods in ReportController

Related to TYPO3 Core - Bug #86318: Use module state of reports module

Closed
Closed
Closed

2018-03-18
2018-09-07
2018-09-19

Associated revisions

Revision 0f722b53 - 2018-03-15 21:46 - Georg Ringer

[TASK] Remove dependency to extbase from reports module
Simplify the reports module by removing usage of extbase.

Resolves: #84231

Releases: master

Change-Id: 133d55e60b454b0945a7a98f7cafb15bfc69dc18d
Reviewed-on: https://review.typo3.org/56125

Tested-by: TYPO3com <no-reply@typo3.com>
Reviewed-by: Frank Naegler <frank.naegler@typo3.org>
Tested-by: Frank Naegler <frank.naegler .o
Reviewed-by: Susanne Moog <susanne.moog@typo3.org>
Tested-by: Susanne Moog <susanne.moog@typo3.org>

Revision f09ad89e - 2018-09-07 18:59 - Christian Kuhn
[TASK] Protected methods in ReportController

There are only two methods in the report controller, calling
them via call_user_function() does not make much sense.
The patch simplifies the dispatcher logic and sets the two
actions to protected.

Note this does not affect the extendability of the reports
module itself.

Resolves: #86184

Related: #84231

Releases: master

Change-1d: 1a329b7de7251825028a5587899be3f6c694873e5
Reviewed-on: https:/review.typo3.org/58214

Reviewed-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Tested-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Reviewed-by: rolandgolla <rolandgoll mail.com>

Tested-by: rolandgolla <rolandgolla@gmail.com>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenrin -softlab.de>

Revision a471ed7c - 2018-09-19 15:34 - Christian Kuhn

[BUGFIX] Use module state of reports module

The reports module stores its latest action selection in
backend user uc and should select that action on next
call again. This broke with the refactoring of #84231

Resolves: #86318

Related: #84231

Releases: master

Change-Id: If3cfe27361bcdc7b15¢c2f1cfaa34a8ccOc1e88c9
Reviewed-on: https://review.typo3.0rg/58336

Reviewed-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Tested-by: Andreas Fernandez <a.fernandez@scripting-base.de>
Tested-by: TYPO3com <no-reply@typo3.com>

Reviewed-by: Anja Leichsenring <aleichsenring@ab-softlab.de>
Tested-by: Anja Leichsenring <aleichsenring@ab-softlab.de>

History

#1 - 2018-03-13 10:56 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/56125

#2 - 2018-03-13 11:44 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/56125

#3 - 2018-03-13 11:47 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.o0rg/56125

#4 - 2018-03-13 15:49 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/56125

#5 - 2018-03-13 16:35 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/56125

#6 - 2018-03-15 13:36 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/56125

#7 - 2018-03-15 17:47 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/56125

#8 - 2018-03-15 21:34 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/56125

#9 - 2018-03-15 22:00 - Georg Ringer
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset 0f722b53d3bb5f6efd79d8f060c37d5db3750a1f.

#10 - 2018-03-18 10:54 - Mathias Brodala
- Related to Bug #84465: "Status report” broken because of invalid route added

#11 - 2018-09-07 14:48 - Christian Kuhn
- Related to Task #86184: Protect methods in ReportController added

#12 - 2018-09-19 14:48 - Christian Kuhn
- Related to Bug #86318: Use module state of reports module added

#13 - 2018-10-02 10:25 - Benni Mack

- Status changed from Resolved to Closed
